#
# spec file for package python-parsel
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-parsel
Version:        1.0.2
Release:        1.1
Url:            http://github.com/scrapy/parsel
Summary:        Library to extract data from HTML and XML using XPath and CSS selectors
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.io/packages/source/p/parsel/parsel-%{version}.tar.gz
Requires:       python-cssselect >= 0.9
Requires:       python-lxml
Requires:       python-six >= 1.5.2
Requires:       python-w3lib >= 1.8.0
BuildRequires:  python-cssselect >= 0.9
BuildRequires:  python-devel
BuildRequires:  python-lxml
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.4.1
BuildRequires:  python-six >= 1.5.2
BuildRequires:  python-w3lib >= 1.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description

%prep
%setup -q -n parsel-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Jun  2 2016 jacobwinski@gmail.com
- Initial package build.
